package com.tzld.longarticle.recommend.server.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface ArticlePreDistributeAccountRepository extends JpaRepository<ArticlePreDistributeAccount,
        ArticlePreDistributeAccount.PK> {

    @Query("SELECT t FROM ArticlePreDistributeAccount t WHERE t.ghId = :ghId ORDER BY t.date DESC")
    Optional<ArticlePreDistributeAccount> findTopByGhId(String ghId);
}